/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package student;

import entities.Thesis;
import java.util.Map;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

/**
 *
 * @author Szilárd
 */
@ManagedBean(name="ListDiplomasMore")
@RequestScoped
public class ListDiplomasMore {

    Thesis thesis;
    /** Creates a new instance of ListDiplomasMore */
    public ListDiplomasMore() {
        Map map = FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
        thesis = (Thesis) map.get("thesis");
    }

    public Thesis getThesis() {
        return thesis;
    }

    public void setThesis(Thesis thesis) {
        this.thesis = thesis;
    }

    public String backAction(){
        return "listdiplomas";
    }
}
